[ 
https://issues.apache.org/jira/browse/AMBARI-18615?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Sangeeta Ravindran updated AMBARI-18615:
----------------------------------------
    Attachment: AMBARI-18615.patch

> Fix JSHint errors in Workflow Manager view
> ------------------------------------------
>
>                 Key: AMBARI-18615
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18615
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-views
>            Reporter: Sangeeta Ravindran
>            Assignee: Sangeeta Ravindran
>         Attachments: AMBARI-18615.patch
>
>
> When you compile the Workflow Manager view, you see 94 JSHint errors.
> app.js: line 18, col 1, 'import' is only available in ES6 (use 'esversion: 
> 6').
> app.js: line 19, col 1, 'import' is only available in ES6 (use 'esversion: 
> 6').
> app.js: line 20, col 1, 'import' is only available in ES6 (use 'esversion: 
> 6').
> app.js: line 21, col 1, 'import' is only available in ES6 (use 'esversion: 
> 6').
> app.js: line 23, col 1, 'let' is available in ES6 (use 'esversion: 6') or 
> Mozilla JS extensions (use moz).
> app.js: line 30, col 3, 'object short notation' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> app.js: line 39, col 1, 'export' is only available in ES6 (use 'esversion: 
> 6').
> 7 errors
> components/action-credential-config.js: line 18, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/action-credential-config.js: line 20, col 1, 'export' is only 
> available in ES6 (use 'esversion: 6').
> components/action-credential-config.js: line 24, col 38, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> components/action-credential-config.js: line 30, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/action-credential-config.js: line 33, col 36, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> 5 errors
> components/action-version-select.js: line 18, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/action-version-select.js: line 20, col 1, 'export' is only 
> available in ES6 (use 'esversion: 6').
> components/action-version-select.js: line 22, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 3 errors
> components/archive-config.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/archive-config.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/archive-config.js: line 21, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/archive-config.js: line 29, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/archive-config.js: line 33, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/archive-config.js: line 36, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/arg-config.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/arg-config.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/arg-config.js: line 33, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/arg-config.js: line 38, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/arg-config.js: line 41, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/bundle-job-details.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/bundle-job-details.js: line 20, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/bundle-job-details.js: line 22, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/bundle-job-details.js: line 25, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/bundle-job-details.js: line 28, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/coord-job-details.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/coord-job-details.js: line 20, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/coord-job-details.js: line 22, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/coord-job-details.js: line 25, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/coord-job-details.js: line 28, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/credentials-config.js: line 17, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 20, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 44, col 41, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 93, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/credentials-config.js: line 94, col 56, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 106, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/credentials-config.js: line 112, col 58, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 117, col 41, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 119, col 20, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 145, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/credentials-config.js: line 151, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/credentials-config.js: line 157, col 40, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/credentials-config.js: line 176, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/credentials-config.js: line 179, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 15 errors
> components/decision-add-branch.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/decision-add-branch.js: line 19, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/decision-add-branch.js: line 20, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/decision-add-branch.js: line 22, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/decision-add-branch.js: line 59, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/decision-add-branch.js: line 62, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/decision-add-branch.js: line 66, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/decision-add-branch.js: line 83, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 8 errors
> components/decision-config.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/decision-config.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/decision-config.js: line 21, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> 3 errors
> components/designer-errors.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/designer-errors.js: line 20, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> 2 errors
> components/distcp-action.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/distcp-action.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/distcp-action.js: line 21, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/distcp-action.js: line 51, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/distcp-action.js: line 58, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/email-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/email-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/email-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/email-action.js: line 55, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/email-action.js: line 62, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/field-error.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/field-error.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 2 errors
> components/file-config.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/file-config.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/file-config.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/file-config.js: line 44, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/file-config.js: line 49, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/file-config.js: line 52, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/file-config.js: line 55, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 7 errors
> components/file-upload.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/file-upload.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/file-upload.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/file-upload.js: line 25, col 5, 'const' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> components/file-upload.js: line 34, col 31, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> components/file-upload.js: line 37, col 32, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> components/file-upload.js: line 40, col 60, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> 7 errors
> components/flow-designer.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 20, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 21, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 22, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 23, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 24, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 25, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 28, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/flow-designer.js: line 72, col 12, Confusing use of '!'.
> components/flow-designer.js: line 94, col 49, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> components/flow-designer.js: line 122, col 9, 'let' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 125, col 15, 'let' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 126, col 17, 'let' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 144, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 177, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 182, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 188, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 192, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 195, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 213, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 238, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 242, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 318, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 334, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 336, col 27, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> components/flow-designer.js: line 338, col 15, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> components/flow-designer.js: line 339, col 71, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> components/flow-designer.js: line 345, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 360, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 367, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 385, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 387, col 33, Missing semicolon.
> components/flow-designer.js: line 400, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 403, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 406, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 409, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 425, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 428, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 432, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 435, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 438, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 441, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 449, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 452, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 471, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 485, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 488, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 500, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 510, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/flow-designer.js: line 510, col 5, Too many errors. (79% scanned).
> 52 errors
> components/fs-action.js: line 17, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/fs-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/fs-action.js: line 22, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/fs-action.js: line 91, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/fs-action.js: line 98, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/global-config.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/global-config.js: line 19, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/global-config.js: line 49, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/global-config.js: line 53, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/global-config.js: line 57, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/global-config.js: line 65, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/hdfs-browser.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/hdfs-browser.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/hdfs-browser.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/hdfs-browser.js: line 42, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 56, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 58, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 71, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 76, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 88, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 92, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 95, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 97, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 104, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hdfs-browser.js: line 106, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 14 errors
> components/header-logo-user-bar.js: line 18, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/header-logo-user-bar.js: line 19, col 1, 'export' is only 
> available in ES6 (use 'esversion: 6').
> 2 errors
> components/help-icon.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/help-icon.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 2 errors
> components/hive-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/hive-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/hive-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/hive-action.js: line 86, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hive-action.js: line 93, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hive-action.js: line 96, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/hive2-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/hive2-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/hive2-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/hive2-action.js: line 91, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hive2-action.js: line 98, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/hive2-action.js: line 101, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/java-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/java-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/java-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/java-action.js: line 83, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/java-action.js: line 90, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/java-action.js: line 93, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/jdbc-url.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/jdbc-url.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 2 errors
> components/job-details.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/job-details.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/job-details.js: line 70, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 3 errors
> components/job-log.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> components/job-log.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> components/job-log.js: line 33, col 5, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 3 errors
> components/job-row.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> components/job-row.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> components/job-row.js: line 38, col 5, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/job-row.js: line 75, col 5, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/job-row.js: line 79, col 5, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/job-row.js: line 83, col 5, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/jobxml-config.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/jobxml-config.js: line 20, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/jobxml-config.js: line 27, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/jobxml-config.js: line 34, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 4 errors
> components/map-red-action.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/map-red-action.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/map-red-action.js: line 21, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/map-red-action.js: line 50, col 46, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> components/map-red-action.js: line 77, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/map-red-action.js: line 84, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/name-value-config.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/name-value-config.js: line 20, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/name-value-config.js: line 35, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/name-value-config.js: line 41, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/name-value-config.js: line 44, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/named-properties.js: line 17, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/named-properties.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/named-properties.js: line 20, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> 3 errors
> components/pass-word.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/pass-word.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 2 errors
> components/pig-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/pig-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/pig-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/pig-action.js: line 65, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/pig-action.js: line 72, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/prepare-config-fs.js: line 17, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/prepare-config-fs.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/prepare-config-fs.js: line 20, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/prepare-config-fs.js: line 32, col 38, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/prepare-config-fs.js: line 49, col 5, 'let' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 51, col 7, 'let' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 63, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 82, col 5, 'let' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 184, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 194, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 197, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 200, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config-fs.js: line 204, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 13 errors
> components/prepare-config.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/prepare-config.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/prepare-config.js: line 21, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/prepare-config.js: line 52, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config.js: line 55, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config.js: line 58, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/prepare-config.js: line 61, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 7 errors
> components/search-create-new-bar.js: line 18, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/search-create-new-bar.js: line 20, col 1, 'export' is only 
> available in ES6 (use 'esversion: 6').
> components/search-create-new-bar.js: line 147, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-create-new-bar.js: line 163, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-create-new-bar.js: line 172, col 9, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-create-new-bar.js: line 175, col 9, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-create-new-bar.js: line 182, col 9, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-create-new-bar.js: line 185, col 9, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-create-new-bar.js: line 192, col 9, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 9 errors
> components/search-table.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/search-table.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/search-table.js: line 34, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-table.js: line 38, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-table.js: line 41, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-table.js: line 44, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/search-table.js: line 106, col 53, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> 7 errors
> components/shell-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/shell-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/shell-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/shell-action.js: line 63, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/shell-action.js: line 70, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/sla-info.js: line 17, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/sla-info.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/sla-info.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/sla-info.js: line 40, col 31, 'arrow function syntax (=>)' is only 
> available in ES6 (use 'esversion: 6').
> 4 errors
> components/spark-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/spark-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/spark-action.js: line 20, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/spark-action.js: line 22, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/spark-action.js: line 98, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/spark-action.js: line 105, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/spark-action.js: line 108, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 7 errors
> components/sqoop-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/sqoop-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/sqoop-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/sqoop-action.js: line 67, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/sqoop-action.js: line 74, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/sqoop-action.js: line 77, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/ssh-action.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/ssh-action.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/ssh-action.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/ssh-action.js: line 70, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/ssh-action.js: line 77, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/ssh-action.js: line 80, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/sub-workflow.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/sub-workflow.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/sub-workflow.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/sub-workflow.js: line 47, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/sub-workflow.js: line 54, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> components/transition-config.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/transition-config.js: line 19, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/transition-config.js: line 20, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/transition-config.js: line 22, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/transition-config.js: line 44, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/transition-config.js: line 63, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/version-settings.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/version-settings.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/version-settings.js: line 21, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/version-settings.js: line 28, col 63, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> components/version-settings.js: line 53, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/version-settings.js: line 56, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/workflow-action-editor.js: line 18, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 19, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 20, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 21, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 23, col 1, 'export' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 113, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-action-editor.js: line 119, col 58, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 124, col 41, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 126, col 20, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 139, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-action-editor.js: line 140, col 56, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 146, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-action-editor.js: line 147, col 56, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 149, col 60, 'arrow function 
> syntax (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-action-editor.js: line 156, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-action-editor.js: line 159, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-action-editor.js: line 174, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-action-editor.js: line 182, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-action-editor.js: line 186, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 19 errors
> components/workflow-actions.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/workflow-actions.js: line 19, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> 2 errors
> components/workflow-config.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/workflow-config.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/workflow-config.js: line 20, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/workflow-config.js: line 27, col 59, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> components/workflow-config.js: line 85, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 98, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 120, col 46, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> components/workflow-config.js: line 168, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 196, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 211, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 214, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 217, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 221, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-config.js: line 224, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 14 errors
> components/workflow-credentials.js: line 17, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-credentials.js: line 19, col 1, 'export' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-credentials.js: line 38, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-credentials.js: line 39, col 56, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-credentials.js: line 45, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-credentials.js: line 51, col 58, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-credentials.js: line 56, col 41, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-credentials.js: line 58, col 20, 'arrow function syntax 
> (=>)' is only available in ES6 (use 'esversion: 6').
> components/workflow-credentials.js: line 72, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-credentials.js: line 75, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-credentials.js: line 78, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-credentials.js: line 82, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 12 errors
> components/workflow-job-details.js: line 18, col 1, 'import' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-job-details.js: line 19, col 1, 'export' is only 
> available in ES6 (use 'esversion: 6').
> components/workflow-job-details.js: line 24, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-job-details.js: line 27, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 4 errors
> components/workflow-node.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> components/workflow-node.js: line 20, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> components/workflow-node.js: line 72, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-node.js: line 75, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-node.js: line 78, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-node.js: line 81, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-node.js: line 84, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-node.js: line 87, col 5, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 8 errors
> components/workflow-parameters.js: line 17, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/workflow-parameters.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> components/workflow-parameters.js: line 20, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> components/workflow-parameters.js: line 35, col 27, It's not necessary to 
> initialize 'errorMsg' to 'undefined'.
> components/workflow-parameters.js: line 68, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-parameters.js: line 71, col 5, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 6 errors
> components/workflow-sla.js: line 17, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/workflow-sla.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/workflow-sla.js: line 18, col 43, Missing semicolon.
> components/workflow-sla.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> components/workflow-sla.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> components/workflow-sla.js: line 37, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> components/workflow-sla.js: line 38, col 47, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> components/workflow-sla.js: line 41, col 29, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> components/workflow-sla.js: line 46, col 5, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 9 errors
> controllers/application.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> controllers/application.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 2 errors
> controllers/dashboard.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> controllers/dashboard.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 2 errors
> controllers/design.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> controllers/design.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 2 errors
> controllers/job.js: line 17, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> controllers/job.js: line 19, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 2 errors
> domain/actionjob_hanlder.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/actionjob_hanlder.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/actionjob_hanlder.js: line 20, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/actionjob_hanlder.js: line 26, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 29, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 32, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 42, col 40, ['_xmlns'] is better written in 
> dot notation.
> domain/actionjob_hanlder.js: line 47, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 50, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 57, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 74, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 81, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 100, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 115, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 125, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 142, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 153, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 166, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 176, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 192, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 200, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 218, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 225, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 237, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 254, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 264, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 273, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 286, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 295, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 308, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 316, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 322, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 336, col 19, ['mkdir'] is better written in 
> dot notation.
> domain/actionjob_hanlder.js: line 339, col 19, ['move'] is better written in 
> dot notation.
> domain/actionjob_hanlder.js: line 342, col 19, ['touchz'] is better written 
> in dot notation.
> domain/actionjob_hanlder.js: line 347, col 15, ['recursive'] is better 
> written in dot notation.
> domain/actionjob_hanlder.js: line 349, col 19, ['chmod'] is better written in 
> dot notation.
> domain/actionjob_hanlder.js: line 352, col 13, 'conf' is already defined.
> domain/actionjob_hanlder.js: line 354, col 15, ['recursive'] is better 
> written in dot notation.
> domain/actionjob_hanlder.js: line 356, col 19, ['chgrp'] is better written in 
> dot notation.
> domain/actionjob_hanlder.js: line 362, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/actionjob_hanlder.js: line 397, col 42, ['recursive'] is better 
> written in dot notation.
> domain/actionjob_hanlder.js: line 403, col 42, ['recursive'] is better 
> written in dot notation.
> domain/actionjob_hanlder.js: line 411, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> 44 errors
> domain/default-layout-manager.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> domain/default-layout-manager.js: line 20, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/default-layout-manager.js: line 30, col 14, 'i' is already defined.
> domain/default-layout-manager.js: line 37, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/default-layout-manager.js: line 50, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> 5 errors
> domain/findnode-mixin.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/findnode-mixin.js: line 20, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/findnode-mixin.js: line 24, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/findnode-mixin.js: line 42, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/findnode-mixin.js: line 57, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/findnode-mixin.js: line 94, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/findnode-mixin.js: line 103, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 7 errors
> domain/id-gen.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/id-gen.js: line 23, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/id-gen.js: line 26, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/id-gen.js: line 29, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/id-gen.js: line 35, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 5 errors
> domain/layout-manager1.js: line 17, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/layout-manager1.js: line 19, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/layout-manager1.js: line 31, col 34, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager1.js: line 35, col 44, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager1.js: line 46, col 42, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager1.js: line 49, col 42, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager1.js: line 65, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/layout-manager1.js: line 78, col 38, Don't make functions within a 
> loop.
> domain/layout-manager1.js: line 88, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 9 errors
> domain/layout-manager2.js: line 17, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/layout-manager2.js: line 19, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/layout-manager2.js: line 33, col 34, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager2.js: line 37, col 44, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager2.js: line 49, col 42, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager2.js: line 51, col 42, 'arrow function syntax (=>)' is 
> only available in ES6 (use 'esversion: 6').
> domain/layout-manager2.js: line 57, col 13, 'avgPositionChange' is already 
> defined.
> domain/layout-manager2.js: line 64, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/layout-manager2.js: line 77, col 38, Don't make functions within a 
> loop.
> domain/layout-manager2.js: line 87, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 10 errors
> domain/mapping-utils.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/mapping-utils.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/mapping-utils.js: line 20, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/mapping-utils.js: line 22, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 65, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 116, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 129, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 154, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 167, col 14, ['prepare'] is better written in 
> dot notation.
> domain/mapping-utils.js: line 176, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 186, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 205, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 207, col 26, ['info'] is better written in dot 
> notation.
> domain/mapping-utils.js: line 208, col 14, ['__prefix'] is better written in 
> dot notation.
> domain/mapping-utils.js: line 231, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 242, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 249, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/mapping-utils.js: line 254, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 18 errors
> domain/node-factory.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-factory.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-factory.js: line 20, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-factory.js: line 21, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-factory.js: line 23, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 26, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 29, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 32, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 41, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 47, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 58, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 68, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 75, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 82, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 89, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 96, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 109, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 113, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 116, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-factory.js: line 120, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 20 errors
> domain/node-handler.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-handler.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-handler.js: line 20, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-handler.js: line 21, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-handler.js: line 22, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-handler.js: line 26, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 43, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 59, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 66, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 69, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 72, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 75, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 79, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 82, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 84, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 88, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 91, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 94, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 98, col 12, ['_to'] is better written in dot 
> notation.
> domain/node-handler.js: line 100, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 103, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 108, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 111, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 118, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 121, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 124, col 10, ['message'] is better written in 
> dot notation.
> domain/node-handler.js: line 134, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 136, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 143, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 149, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 152, col 16, ['ok'] is better written in dot 
> notation.
> domain/node-handler.js: line 153, col 39, Expected a conditional expression 
> and instead saw an assignment.
> domain/node-handler.js: line 154, col 16, ['error'] is better written in dot 
> notation.
> domain/node-handler.js: line 158, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 179, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 188, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 197, col 32, ['_to'] is better written in dot 
> notation.
> domain/node-handler.js: line 202, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 205, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 221, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 223, col 12, ['path'] is better written in dot 
> notation.
> domain/node-handler.js: line 228, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 231, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 239, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 241, col 14, ['_to'] is better written in dot 
> notation.
> domain/node-handler.js: line 244, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 247, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-handler.js: line 251, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 48 errors
> domain/node-visitor.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/node-visitor.js: line 20, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-visitor.js: line 24, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node-visitor.js: line 38, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 4 errors
> domain/node.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/node.js: line 19, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/node.js: line 20, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/node.js: line 21, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/node.js: line 33, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 36, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 51, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 56, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 64, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 79, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 82, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 93, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 102, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 107, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 122, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 128, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 136, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 146, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 155, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 176, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 184, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 187, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 190, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 193, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 196, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 199, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 202, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 205, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 208, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/node.js: line 212, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 30 errors
> domain/schema-versions.js: line 17, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/schema-versions.js: line 18, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> domain/schema-versions.js: line 22, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 26, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 30, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 51, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 54, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 57, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 60, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 63, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 66, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/schema-versions.js: line 67, col 34, Did you mean to return a 
> conditional instead of an assignment?
> 12 errors
> domain/sla-info.js: line 17, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/sla-info.js: line 19, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/sla-info.js: line 20, col 21, Missing semicolon.
> domain/sla-info.js: line 21, col 10, 'let' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/sla-info.js: line 26, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/sla-info.js: line 59, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 6 errors
> domain/transition.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/transition.js: line 26, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/transition.js: line 29, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/transition.js: line 32, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/transition.js: line 35, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/transition.js: line 38, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/transition.js: line 41, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/transition.js: line 53, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 8 errors
> domain/workflow-context.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> domain/workflow-context.js: line 21, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-context.js: line 24, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-context.js: line 27, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-context.js: line 30, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-context.js: line 34, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 6 errors
> domain/workflow-importer.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow-importer.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow-importer.js: line 20, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow-importer.js: line 21, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow-importer.js: line 25, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 31, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 51, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 56, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 58, col 40, ['_name'] is better written in 
> dot notation.
> domain/workflow-importer.js: line 80, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 96, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 104, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 112, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 123, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-importer.js: line 134, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> 15 errors
> domain/workflow-xml-generator.js: line 18, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> domain/workflow-xml-generator.js: line 19, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> domain/workflow-xml-generator.js: line 20, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> domain/workflow-xml-generator.js: line 21, col 1, 'import' is only available 
> in ES6 (use 'esversion: 6').
> domain/workflow-xml-generator.js: line 29, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-xml-generator.js: line 33, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-xml-generator.js: line 53, col 22, ['_name'] is better 
> written in dot notation.
> domain/workflow-xml-generator.js: line 55, col 22, ['_xmlns'] is better 
> written in dot notation.
> domain/workflow-xml-generator.js: line 62, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-xml-generator.js: line 77, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-xml-generator.js: line 85, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow-xml-generator.js: line 144, col 1, 'export' is only available 
> in ES6 (use 'esversion: 6').
> 12 errors
> domain/workflow.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 19, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 20, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 21, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 22, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 23, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 24, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 25, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> domain/workflow.js: line 25, col 43, Missing semicolon.
> domain/workflow.js: line 38, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 49, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 52, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 56, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 59, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 63, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 87, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 113, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 122, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 139, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 154, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 158, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 169, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 170, col 5, 'let' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 193, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 213, col 17, 'placeholderNode' is already defined.
> domain/workflow.js: line 220, col 13, 'joinNode' is already defined.
> domain/workflow.js: line 225, col 17, 'placeholderNode' is already defined.
> domain/workflow.js: line 236, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 240, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 247, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 252, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow.js: line 266, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 32 errors
> domain/workflow_xml_mapper.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow_xml_mapper.js: line 19, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow_xml_mapper.js: line 20, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow_xml_mapper.js: line 22, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> domain/workflow_xml_mapper.js: line 42, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 45, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 48, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 51, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 54, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 57, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 59, col 18, ['credentials'] is better 
> written in dot notation.
> domain/workflow_xml_mapper.js: line 71, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 94, col 3, 'concise methods' is available 
> in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 105, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 109, col 56, Missing semicolon.
> domain/workflow_xml_mapper.js: line 118, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 126, col 3, 'concise methods' is 
> available in ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> domain/workflow_xml_mapper.js: line 131, col 12, ['global'] is better written 
> in dot notation.
> domain/workflow_xml_mapper.js: line 135, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> 19 errors
> helpers/date-helper.js: line 19, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> helpers/date-helper.js: line 21, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> helpers/date-helper.js: line 29, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 3 errors
> initializers/init.js: line 18, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> initializers/init.js: line 22, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> initializers/init.js: line 24, col 5, 'object short notation' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 3 errors
> resolver.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> resolver.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 2 errors
> router.js: line 18, col 1, 'import' is only available in ES6 (use 'esversion: 
> 6').
> router.js: line 19, col 1, 'import' is only available in ES6 (use 'esversion: 
> 6').
> router.js: line 21, col 1, 'const' is available in ES6 (use 'esversion: 6') 
> or Mozilla JS extensions (use moz).
> router.js: line 33, col 1, 'export' is only available in ES6 (use 'esversion: 
> 6').
> 4 errors
> routes/connection-error.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> routes/connection-error.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> routes/connection-error.js: line 25, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> routes/connection-error.js: line 28, col 3, 'concise methods' is available in 
> ES6 (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 4 errors
> routes/dashboard.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> routes/dashboard.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> routes/dashboard.js: line 50, col 5, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> routes/dashboard.js: line 56, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> routes/dashboard.js: line 65, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> routes/design.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> routes/design.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 2 errors
> routes/designtest.js: line 17, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> routes/designtest.js: line 19, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> routes/designtest.js: line 21, col 5, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 3 errors
> routes/index.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> routes/index.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> routes/index.js: line 21, col 5, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> 3 errors
> routes/job.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> routes/job.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> routes/job.js: line 30, col 3, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> routes/job.js: line 60, col 5, 'concise methods' is available in ES6 (use 
> 'esversion: 6') or Mozilla JS extensions (use moz).
> routes/job.js: line 70, col 15, Use '!==' to compare with 'null'.
> 5 errors
> services/file-browser.js: line 18, col 1, 'import' is only available in ES6 
> (use 'esversion: 6').
> services/file-browser.js: line 20, col 1, 'export' is only available in ES6 
> (use 'esversion: 6').
> 2 errors
> services/history.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> services/history.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 2 errors
> services/property-extractor.js: line 18, col 1, 'import' is only available in 
> ES6 (use 'esversion: 6').
> services/property-extractor.js: line 20, col 1, 'export' is only available in 
> ES6 (use 'esversion: 6').
> services/property-extractor.js: line 30, col 13, Use '===' to compare with 
> 'null'.
> services/property-extractor.js: line 33, col 27, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> services/property-extractor.js: line 42, col 52, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> services/property-extractor.js: line 48, col 43, 'arrow function syntax (=>)' 
> is only available in ES6 (use 'esversion: 6').
> 6 errors
> utils/common-utils.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> utils/common-utils.js: line 19, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> utils/common-utils.js: line 20, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> utils/common-utils.js: line 23, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 4 errors
> utils/constants.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> utils/constants.js: line 19, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> 2 errors
> utils/hdfsviewer.js: line 18, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> utils/hdfsviewer.js: line 19, col 1, 'import' is only available in ES6 (use 
> 'esversion: 6').
> utils/hdfsviewer.js: line 20, col 1, 'export' is only available in ES6 (use 
> 'esversion: 6').
> utils/hdfsviewer.js: line 27, col 37, 'template literal syntax' is only 
> available in ES6 (use 'esversion: 6').
> utils/hdfsviewer.js: line 26, col 3, 'concise methods' is available in ES6 
> (use 'esversion: 6') or Mozilla JS extensions (use moz).
> 5 errors
> ===== 94 JSHint Errors



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to